# Package-level declarations

The signing plugin.

## Types

Sign
Link copied to clipboard
@DisableCachingByDefault(because = "Not made cacheable, yet")
abstract class Sign : DefaultTask, SignatureSpec
A task for creating digital signature files for one or more; tasks, files, publishable artifacts or configurations.
Signature
Link copied to clipboard
open class Signature : AbstractPublishArtifact
A digital signature file artifact.
SignatureSpec
Link copied to clipboard
interface SignatureSpec
Specifies how objects will be signed.
SigningExtension
Link copied to clipboard
abstract class SigningExtension
The global signing configuration for a project.
SigningPlugin
Link copied to clipboard
abstract class SigningPlugin : Plugin<T>
Adds the ability to digitally sign files and artifacts.
SignOperation
Link copied to clipboard
abstract class SignOperation : SignatureSpec
A sign operation creates digital signatures for one or more files or publish artifacts.